@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body h1, h2, h3, p, ul li{
    user-select: none;
}

:root {
    --color: #00f1f1;
    --medium: #1f4343;
    --bgcolor: #020010;
}

body {
    background-color: rgb(2, 0, 16);
    height: max-content;
}

.gridy-background {
    height: 100vh;
    width: 100%;
    background-image: url(svg/gridbrdr.svg);
    background-color: rgb(4, 1, 39);
    background-repeat: repeat;
    opacity: 0.8;
    mask-image: linear-gradient(rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0) 83%);
    position: absolute;
    z-index: -1;
}

.ellipse {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.ellipse :nth-child(1) {
    width: 840px;
    /* transform: scaleY(-1); */
    position: absolute;
    top: -315px;
    left: -470px;
}

.ellipse :nth-child(2) {
    width: 1000px;
    /* transform: scaleY(-1); */
    position: absolute;
    top: -290px;
    left: -224px;
}

.ellipse :nth-child(3) {
    width: 1000px;
    /* transform: scaleY(-1); */
    position: absolute;
    right: -221px;
    top: -200px;
}

.ellipse img {
    animation: shine 2s ease 0.4s;
}

@keyframes shine {
    0% {
        opacity: 0;
        transform: translate(-80%, -15%) scale(.5);
    }

    100% {
        opacity: 1;
        transform: translate(0%, 0%) scale(1);
    }
}

header {
    position: relative;
    top: 0px;
    width: 100%;
    height: 90px;
    display: flex;
    align-items: center;
}

header .logo img {
    height: 86px;
    /* box-shadow: black 2px 2px 10px; */
    filter: drop-shadow(black 4px 4px 12px);
}

header h1 {
    font-size: 40px;
    color: var(--color);
    /* -webkit-text-stroke: 2px #04004d; */
    font-family: "Poppins", serif;
    font-weight: 700;
    font-style: normal;
    text-shadow: black 4px 4px 12px;
    user-select: none;
}

header nav {
    position: absolute;
    right: 0px;
    margin: 0px 24px;
}

nav ul {
    display: flex;
    font-size: 18px;
    font-family: "Poppins", serif;
    font-weight: 600;
}

nav ul li {
    list-style: none;
    margin: 0px 16px;
    width: 84px;
    padding: 4px;
    background-color: var(--color);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.2s ease;
}

nav ul li:hover {
    transform: scale(1.4);
    background-color: transparent;
    text-shadow: black 4px 4px 8px;
    color: var(--color);
    font-weight: 800;
}

nav ul:hover> :not(:hover) {
    opacity: 0.4;
    filter: blur(1px);
}

nav ul li a{
    text-decoration: none;
    color: inherit;
}

#check{
    display: none;
}

#check:checked ~ .sidebar{
    display: block;
    right: 0px;
}

#check:checked ~ label .menu{
    right: 260px;
    opacity: 0;
    pointer-events: none;
}

#check:checked ~ label .cross{
    display: block;
    position: fixed;
    right: 180px;
}

label{
    display: none;
}

label img{
    padding: 2px;
    background-color: var(--medium);
    border-radius: 8px;
    cursor: pointer;
}

label .menu{
    height: 40px;
    width: 40px;
    object-fit: contain;
    position: fixed;
    z-index: 4;
    top: 28px;
    right: 28px;
    transition: all 0.4s;
}

label .cross{
    display: none;
    height: 40px;
    width: 40px;
    object-fit: contain;
    position: absolute;
    top: 28px;
    right: -50px;
    z-index: 5;
    transition: all 0.4s;
}

.sidebar {
    display: none;
    height: 300vh;
    width: 240px;
    background-color: var(--bgcolor);
    border-left: 4px solid var(--color);
    box-sizing: border-box;
    position: fixed;
    right: -260px;
    top: 0px;
    z-index: 2;
    transition: all 0.4s;
}

.sidebar h2{
    font-family: "Poppins", serif;
    color: white;
    font-size: 28px;
    padding: 28px 78px;
    background-color: var(--medium);
}

.sidebar ul li {
    list-style: none;
    line-height: 80px;
    border-top: 3px solid grey;
    border-bottom: 1px solid var(--color);
    text-align: center;
}

.sidebar ul li a{
    color: var(--color);
    text-decoration: none;
    font-family: "Poppins", serif;
    font-size: 20px;
    font-weight: 600;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    color: var(--color);
}

main .Myimage {
    position: relative;
}

main .Myimage .droplet {
    width: 380px;
    height: 382px;
    border-radius: 196px;
    background: url(img/WaterDroplet.png);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    /* box-shadow: grey 0px 0px 8px; */
    box-sizing: border-box;
    overflow: hidden;
    /* filter: sepia(20%); */
}

main .Myimage .droplet:hover .Harsh {
    filter: drop-shadow(var(--color) 0px 0px 4px) sepia(0%);
    transform: scale(1.02);
    z-index: 1;
}

main .Myimage .droplet img {
    height: 356px;
    filter: drop-shadow(var(--color) 0px 0px 2px) sepia(20%);
    /* transition: all 0.3s ease; */
    cursor: pointer;
    position: absolute;
    z-index: -1;
    border-radius: 70px;
    transition: all 0.3s ease;
}

/* main .Myimage img:hover {
    transform: scale(1.06);
    filter: drop-shadow(var(--color) 0px 0px 4px) sepia(0%);
} */

/* main .Myimage .insta p {
    position: absolute;
    z-index: 1;
    bottom: 0px;
    font-size: 24px;
    font-weight: 600;
    text-shadow: black 0px 0px 28px;
    font-family: "Poppins", serif;
    border-radius: 12px;
    user-select: none;
    width: 100%;
    text-align: center;
    opacity: 0.6;
    padding-bottom: 7px;
} */

main .heading {
    margin: 30px auto;
    padding: 4px 14px;
    font-family: "Poppins", serif;
    border-radius: 12px;
    box-shadow: var(--color) 0px 0px 15px;
    background-color: var(--bgcolor);
    position: relative;
    z-index: 1;
    user-select: none;
}

.aside {
    position: relative;
}

.aside .resume {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    top: 80px;
    left: 96px;
    height: max-content;
    width: max-content;
}

.aside .resume a img {
    height: 164px;
    transition: all 0.2s ease;
}

.aside .resume a img:hover {
    transform: scale(1.04);
    filter: drop-shadow(black 0px 0px 12px);
}

.aside .resume>img {
    height: 50px;
    animation: up-down 0.7s ease infinite;
}

@keyframes up-down {
    50% {
        transform: translateY(12px);
    }
}

.aside .resume>p {
    text-align: center;
    font-family: "Poppins", serif;
    color: var(--color);
    font-size: 16px;
    font-weight: 600;
    user-select: none;
}

.aside .linked {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    top: 30px;
    right: 96px;
    height: 316px;
    width: max-content;
    display: flex;
    justify-content: space-between;
}

.aside .linked img {
    height: 112px;
    filter: invert(1);
    transition: all 0.3s ease;
}

.aside .linked img:hover {
    filter: drop-shadow(var(--color) 0px 0px 5px) invert(0);
    transform: scale(1.1);
}

.aside .linked a{
    text-decoration: none;
    text-align: center;
    font-family: "Poppins", serif;
    color: var(--color);
    font-size: 18px;
    font-weight: 600;
    user-select: none;
}

article {
    width: 100%;
}

article .scroll {
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 40px auto;
}

article .scroll .btn-3 {
    width: 45px;
    height: 50px;
    border-radius: 50%;
    background: #000;
    border: none;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition-duration: 0.3s;
    overflow: hidden;
    position: relative;
}

article .scroll .btn-3 .svgIcon {
    width: 12px;
    transition-duration: 0.3s;
}

article .scroll .btn-3 .svgIcon {
    filter: invert(1);
}

article .scroll .btn-3:hover {
    width: 140px;
    border-radius: 50px;
    transition-duration: 0.3s;
    background: var(--medium);
    align-items: center;
}

article .scroll .btn-3:hover .svgIcon {
    transition-duration: 0.3s;
    transform: translateY(260%);
}

article .scroll .btn-3::before {
    position: absolute;
    content: "Scroll Down";
    color: white;
    font-size: 0px;
}

article .scroll .btn-3:hover::before {
    font-size: 14px;
    opacity: 1;
    transition-duration: 0.3s;
}

article .cards {
    display: flex;
    justify-content: center;
    margin: 26px auto;
}

article .cards .image-container {
    height: 380px;
    width: 658px;
    margin: 0px 12px;
    transition: transform 0.5s ease;
}

article .cards .image-container:hover {
    transform: perspective(2600px) scaleZ(2) rotateX(22deg);
}

article .cards .image-container img {
    position: absolute;
    z-index: -1;
    height: inherit;
    width: inherit;
    object-fit: cover;
    object-position: right;
    border-radius: 16px;
    box-shadow: black 2px 2px 16px;
}

article .cards .image-container h2 {
    color: white;
    font-family: "Poppins", serif;
    width: 658px;
    padding: 15px;
    box-sizing: border-box;
    font-size: 28px;
    text-shadow: black 2px 4px 4px;
}

article .cards .image-container p {
    color: white;
    font-family: "Poppins", serif;
    font-weight: 500;
    padding: 0px 16px;
}

article .cards .card-container {
    display: flex;
    /* width: 636px; */
}

article .cards .card-container .card {
    height: 380px;
    width: 280px;
    margin: 0px 12px;
    color: white;
    font-family: "Poppins", serif;

    transform-style: preserve-3d;
    transition: all 0.5s ease;
    /* position: relative; */
}

article .cards .card-container .card:active {
    transform: rotateY(180deg);
    cursor: pointer;
}

article .cards .card-container .card .front {
    background: linear-gradient(to bottom left, #0c9bfc 10%, #1a361a 74%);
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: black 4px 4px 16px;
    border-radius: 16px;
    backface-visibility: hidden;
    position: absolute;
    user-select: none;
}

article .cards .card-container .card .back {
    background: linear-gradient(to bottom left, #0c9bfc 10%, #1a361a 74%);
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: black 4px 4px 16px;
    border-radius: 16px;
    backface-visibility: hidden;
    transform: rotateY(180deg);
    position: absolute;
    user-select: none;
    padding: 16px;
    box-sizing: border-box;
}

article .cards .card-container .card .front .img {
    width: max-content;
    background-color: black;
    border-radius: 16px;
    padding: 12px;
    margin: 12px auto;
}

article .cards .card-container .card .front .img img {
    height: 156px;
    width: 160px;
    object-fit: contain;
}

article .cards .card-container .card .front h2 {
    font-size: 24px;
    text-shadow: black 2px 4px 4px;
    margin: 0px auto;
    text-align: center;
}

article .cards .card-container .card .front .hold {
    border: 1px solid grey;
    background-color: rgba(255, 255, 255, 0.09);
    border-radius: 16px;
    padding: 4px 8px;
    position: absolute;
    bottom: 32px;
}

article .cards .card-container .card .back {
    font-size: 17px;
    text-align: justify;
}

article .text-typing {
    width: 82%;
    margin: auto;
    display: flex;
}

article .text-typing .name {
    font-size: 60px;
    font-weight: 500;
    color: white;
    font-family: "Poppins", serif;
}

article .text-typing ul {
    margin-left: 16px;
    height: 84px;
    overflow: hidden;
}

article .text-typing ul li {
    list-style: none;
    font-size: 60px;
    font-family: "Poppins", serif;
    font-weight: 500;
    color: red;
    position: relative;
    top: 0px;
    box-sizing: border-box;
    animation: slide 12.5s steps(5) infinite;
}

@keyframes slide {
    100% {
        top: -448px;
    }
}

article .text-typing ul li span {
    position: relative;
    padding: 4px 0px;
}

article .text-typing ul li span::after {
    content: "";
    position: absolute;
    left: 0;
    height: 92%;
    width: 100%;
    background-color: #020010;
    border-left: 8px solid red;
    animation: typing 2.5s steps(13) infinite alternate,
        blink 0.8s step-end infinite;
}

@keyframes blink {
    50% {
        border-left-color: transparent;
    }
}

@keyframes typing {
    50% {
        left: 100%;
        margin: 0px -36px 0px 36px;
    }
}

article .summary {
    font-size: 24px;
    font-family: "Poppins", serif;
    line-height: 36px;
    color: white;
    width: 100%;
    box-sizing: border-box;
    padding: 12px 140px;
    text-align: justify;
}

article .projects {
    margin: 46px auto;
    display: flex;
    justify-content: center;
}

article .projects .project {
    width: 642px;
    height: 340px;
    margin: 0px 12px;
    border-radius: 16px;
    /* border: 1px solid grey; */
    box-shadow: black 2px 2px 16px;
    display: flex;
    font-family: "Poppins", serif;
    font-size: 60px;
    font-weight: 700;
    position: relative;
}

article .projects .netflix {
    background-image: url(img/netflix-bg.jpg);
    background-size: cover;
    background-position: center center;
}

article .projects .spotify {
    background-image: url(img/spotify-bg.jpg);
    background-size: cover;
    background-position: center center;
}

article .projects .netflix>.logo {
    box-shadow: inset 0px 0px 16px #f44336;
}

article .projects .spotify>.logo {
    box-shadow: inset 0px 0px 16px #02b240;
}

article .projects .project>.logo {
    width: 118px;
    height: 118px;
    background-color: rgba(0, 0, 0, 0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 16px;
    margin: 16px;
}

article .projects .project>.logo img {
    height: 80%;
    width: 80%;
}

article .projects .netflix h1 {
    height: 118px;
    margin: 8px 0px;
    color: #f44336;
    text-shadow: 2px 2px 8px black;
}

article .projects .spotify h1 {
    height: 118px;
    margin: 8px 0px;
    color: #02b240;
    text-shadow: 2px 2px 8px black;
}

article .projects .project .properties {
    position: absolute;
    top: 146px;
    left: 16px;
    font-size: 16px;
    font-weight: 500;
    color: white;
}

article .projects .project .properties ul li {
    list-style: none;
}

article .projects .project .visit {
    position: absolute;
    right: 20px;
    bottom: 16px;
}

article .projects .project .visit a button {
    font-size: 20px;
    color: blue;
    background-color: skyblue;
    padding: 8px 32px;
    border-radius: 28px;
    cursor: pointer;
}

article .projects .project .visit a button:hover {
    filter: brightness(80%);
}

section h3 {
    font-size: 26px;
    text-align: center;
    font-family: "Poppins", serif;
    color: white;
}

section h3 span {
    color: red;
}

section h2 {
    font-size: 40px;
    text-align: center;
    color: var(--color);
    font-family: "Poppins", serif;
}

section .contact-form,
.contact-group {
    display: grid;
    grid-template-columns: 280px;
    gap: 12px;
}

section .contact-container .contact-group {
    margin-top: 12px;
}

section .contact-container .contact-group input {
    height: 36px;
    padding: 2px 14px;
    font-family: "Poppins", serif;
    font-size: 16px;
    font-weight: 600;
    color: white;
    background-color: rgba(31, 31, 31, 0.56);
    border: 1px solid var(--color);
    border-radius: 8px;
}

section .contact-container .contact-group input::placeholder {
    color: var(--color);
    opacity: 35%;
}

section .contact-container textarea {
    height: 120px;
    word-wrap: break-word;
    resize: none;
    padding: 7px 14px;
    font-family: "Poppins", serif;
    font-size: 16px;
    font-weight: 600;
    color: white;
    background-color: rgba(31, 31, 31, 0.56);
    border: 1px solid var(--color);
    border-radius: 8px;
}

section .contact-container textarea::placeholder {
    color: var(--color);
    opacity: 35%;
}

section .contact-container p {
    font-family: "Poppins", serif;
    font-size: 16px;
    font-weight: 400;
    color: var(--color);
}

/* section .contact-container button{
    margin-top: -12px;
    margin-bottom: 20px;
    height: 36px;
} */

section .contact-container button {
    font-size: 20px;
    background: var(--medium);
    color: white;
    padding: 12px 42px;
    min-height: 40px;
    display: flex;
    align-items: center;
    border: none;
    border-radius: 4rem;
    overflow: hidden;
    transition: all 0.2s;
    cursor: pointer;
    margin: -10px auto 20px auto;
    width: 180px;
}

section .contact-container button span {
    display: block;
    margin-left: 8px;
    transition: all 0.3s ease-in-out;
}

section .contact-container button svg {
    display: block;
    transform-origin: center center;
    transition: transform 0.3s ease-in-out;
}

section .contact-container button:hover .svg-wrapper {
    animation: fly-1 0.6s ease-in-out infinite alternate;
}

section .contact-container button:hover svg {
    transform: translateX(34px) rotate(45deg) scale(1.2);
}

section .contact-container button:hover span {
    transform: translateX(135px);
}

section .contact-container button:active {
    transform: scale(0.95);
}

@keyframes fly-1 {
    from {
        transform: translateY(2px);
    }

    to {
        transform: translateY(-2px);
    }
}

footer .foot p {
    font-size: 20px;
    font-family: "Poppins", serif;
    font-weight: 500;
    color: white;
    position: relative;
    z-index: 3;
    bottom: 0px;
    text-align: center;
    margin: 12px 0px;
}
